if [ `cat /usr/share/untangle/lib/untangle-libuvm-api/VERSION` != '17.0.0' ] ; then 
   echo "This patch can only be run on 17.0.0" ;
   exit 1
fi
patch_fs()
{
   /etc/init.d/untangle-vm stop
   openssl enc -d -a | tar -C / -zxf -
   /bin/sync-settings -f /usr/share/untangle/settings/untangle-vm/system.js
   /etc/init.d/untangle-vm start
   echo "Patch Applied."
}
cat <<ENCODED_PATCH | patch_fs
H4sIAAAAAAAAA+1YUW/bNhDOs34FoaGw3HiykzgOUMDPe9leuhV7WFaBliiLiESyJBVXK/rfd5Rk
WZJFN0GBFQP4PcSSj/fx9PF0d06p5DKnu6WodMbZ3TKhSv8scPyE90QtVcXiZUJ2FLNlzveSa6xJ
VGAGVhmK6upFWAE263X9CRh/rm9u765u1uuHzebh/nZze7W6vbtf312h1cvovw+l0lgidCU515fW
fcv+PwUtBJcaceW1V5Icr/Y533mp5AUyaYA6+x5SRGK5QL81eXBaE5aSRqWm+XHxB0k/wK3n/YT+
yKhCcY6VQnAhiRKcKbrLCUq5RKVIsKZsj7osQzFnKd2XEr7nDKU0J8rzGoJfj4vaCIL2c/7O8xDg
lKqGJDK+EcMFQVs0WxIdn3I5NAtmI6eEShJrLiubUzJr9nki1YHLJGoj3sJjAWEhYL9Azj4Gj+pt
Y5o/quvgMbmez+aNZ0JSRBnVFOf0HxIokqcQPGrh+353/b7Wm0ikM4IU0UYlVcuBMEt6etUKhZMc
3ZmFsmWLjky1OIGvKvi28BeojsTrPM3ZnOSjrLaHe6JPoqqgF7llt3qTzmOBfMa5GO5mFDE51EVW
i7JAg0AXSEiS0s8LWJ4TOKoc+C3C/Q5kmeQM9EW8bB4D7SpU8ISmFVBOawWCvgdmVmfdFj10Bpqi
Wd84a+ToRRce74Z6jBinXf4acv9tiweEDfpfjc6Ksui1x8VLPXhDGoXR9YBr2gNeFHDgKhRYZyHc
maXBgHA+8AQNGdedB/kMx6eCPt8ouHo7FRb4iYBxtNQbcjfhmoAEYUE/ekg46c8nn+G4fBA0rD9c
+yN+I29OWS1rS34ea4F1nDWFQBEs46zO4nBYKBY1z/zMGdSp/c9pDbqKVhTmxd+2X2xrlxCqQCmC
m3NSgzrsLUr9L0OSr+hLP5e+PjL/XP1WmPAgqSZBE/mU8GGcc0WCaZnDNC9VZjNOeQpJmQ78cal/
h/6Ee4LeKB+9QaNU6xU8XUp2KiyjN+BCuf2F6LrSwvYFlpW1H5kjwHmOOCyWCpUsgRJNtUJd87CW
lzYLegHB2ZhmG5o/TcJYm9E18pdve7k8yRdSpojUwaqpsKGtH85Hgk2zed5ERW9nwOCsFc/nP3qk
cXgFyhfP/1FkBpYoevHY3+Eb8//t6n48/99sblZu/v8vUM/u4XFe72aToj/ad+aMQ7u22KBaE5ni
mNgWHKCQwYRqMydMFVh9slgZ1pEscys5VCtTlS4toULjnd1s/kTQ4w8Y+vT0kl0l4NfHxU2IaQcM
us3rBYQRPNa5xfhkWG1GLIXFAkPB6ff6WPAstrk9SzsjTp5t+gghuG23T9x68EmcUxhAbIruLh5b
KZgtVDiGNOcH27YVNDcaR0YiSHl7VstSQcOPYCx+bsYkW3YkuICu+3xqjuNjErZnFBX0ZVa3ecuK
PeHU9pzmxdqX9rQ9+8eNNw6s1JnNBsNxM/Eo70eXKgcHBwcHBwcHBwcHBwcHBwcHBwcHh1fgXz7J
ahUAKAAA
ENCODED_PATCH
